Subject: [MMUSIC] WGLC requested for draft-ietf-mmusic-image-attributes-04

From: Ingemar Johansson S <[email-masked]>
Date: Wed, 21 Apr 2010 07:11:00 +0200

Hi

I hereby repeat my request (originally posted March 10) for a 2nd WGLC for http://tools.ietf.org/wg/mmusic/draft-ietf-mmusic-image-attributes/

Regards
Ingemar
 
> Message: 1
> Date: Wed, 10 Mar 2010 09:26:21 +0100
> From: Ingemar Johansson S <[email-masked]>
> Subject: [MMUSIC] draft-ietf-mmusic-image-attributes-04
> To: "[email-masked]" <[email-masked]>,
> 	"[email-masked]"	<[email-masked]>
> Cc: "[email-masked]" <[email-masked]>
> Message-ID:
> 	
> <[email-masked]
.ericsson.se>
> 	
> Content-Type: text/plain; charset="iso-8859-1"
> 
> Hi
> 
> A new version of draft-ietf-mmusic-image-attributes-04 has been 
> uploaded
> http://tools.ietf.org/html/draft-ietf-mmusic-image-attributes-04
> With this I would like to ask for a second WGLC for this document.
> 
> Regards
> Ingemar
> =================================
> INGEMAR JOHANSSON  M.Sc. 
> Senior Research Engineer
> 
> Ericsson AB
> Multimedia Technologies
> Labratoriegr?nd 11
> 971 28, Lule?, Sweden
> Phone +46-1071 43042
> SMS/MMS +46-73 078 3289
> [email-masked]
> www.ericsson.com
> Visit http://labs.ericsson.com !
> =================================
> 
>

---

From: "Dan Wing" <[email-masked]>
Date: Thu, 22 Apr 2010 12:10:00 -0700

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Ingemar Johansson S
> Sent: Tuesday, April 20, 2010 10:11 PM
> To: [email-masked]; [email-masked]
> Cc: [email-masked]
> Subject: [MMUSIC] WGLC requested for 
> draft-ietf-mmusic-image-attributes-04
> 
> Hi
> 
> I hereby repeat my request (originally posted March 10) for a 
> 2nd WGLC for 
> http://tools.ietf.org/wg/mmusic/draft-ietf-mmusic-image-attributes/

*
http://tools.ietf.org/html/draft-ietf-mmusic-image-attributes-04#section-4.2.3
shows an offer containing:

    m=video 49154 RTP/AVP 99

and an answer indicating Feedback (AVPF):

    m=video 49154 RTP/AVPF 99

Is that legal?

* To make the O/A clearer in Section 4.2.3, I suggest using different UDP
ports in the offer and the answer.  They both use port 49154.

* ABNF is missing for <range> and for <value>.  I noticed this by running the
ABNF validator at
http://www.apps.ietf.org/content/chris-newmans-abnf-validator

* idnits 2.12.02 has some complaints:

  draft-ietf-mmusic-image-attributes-04.txt:

  Checking boilerplate required by RFC 5378 and the IETF Trust (see
  http://trustee.ietf.org/license-info):
  ----------------------------------------------------------------------------

  == You're using the IETF Trust Provisions' Section 6.b License Notice from
12
     Sep 2009 rather than the newer Notice from 28 Dec 2009.  (See
     http://trustee.ietf.org/license-info/)

  Checking nits according to http://www.ietf.org/id-info/1id-guidelines.txt:
  ----------------------------------------------------------------------------

     No issues found here.

  Checking nits according to http://www.ietf.org/id-info/checklist :
  ----------------------------------------------------------------------------

     No issues found here.

  Miscellaneous warnings:
  ----------------------------------------------------------------------------

  == The document date (Feb 17, 2010) is 64 days in the past.  Is this
     intentional?

  Checking references for intended status: Proposed Standard
  ----------------------------------------------------------------------------

     (See RFCs 3967 and 4897 for information about using normative references
     to lower-maturity documents in RFCs)

  == Missing Reference: 'MPEG-4' is mentioned on line 168, but not defined

  == Unused Reference: 'RFC3264' is defined on line 934, but no explicit
     reference was found in the text

  == Unused Reference: 'RFC4587' is defined on line 952, but no explicit
     reference was found in the text

  == Unused Reference: 'S4-080144' is defined on line 963, but no explicit
     reference was found in the text

  -- Duplicate reference: RFC3984, mentioned in 'RFC3984bis', was also
     mentioned in 'RFC3984'.

  -- Obsolete informational reference (is this intentional?): RFC 4234
     (Obsoleted by RFC 5234)

     Summary: 0 errors (**), 6 warnings (==), 2 comments (--).

     Run idnits with the --verbose option for more detailed information about
     the items above.

-d

> _______________________________________________
> mmusic mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mmusic

---

From: Ingemar Johansson S <[email-masked]>
Date: Fri, 23 Apr 2010 14:57:01 +0200

Hi

Thanks for the comment, I will fix the issues and come back with an update. Some additional comments inline.

Regards
Ingemar 

> From: Dan Wing [mailto:[email-masked]] 
> Sent: den 22 april 2010 21:10
> To: Ingemar Johansson S; [email-masked]; [email-masked]
> Cc: [email-masked]
> Subject: RE: [MMUSIC] WGLC requested for 
> > I hereby repeat my request (originally posted March 10) for 
> a 2nd WGLC 
> > for 
Hrmm. Wrong, seems like have have been looking too much at SDPCapNeg :-)

> 
> 
> * To make the O/A clearer in Section 4.2.3, I suggest using 
> different UDP ports in the offer and the answer.  They both 
> use port 49154.
> 
> 
> * ABNF is missing for <range> and for <value>.  I noticed 
> this by running the ABNF validator at 
OK, will try to create valid ABNF, decimal numbers is a challenge though...

>   http://trustee.ietf.org/license-info):
Can update this 

> 
> 
>   Checking nits according to 
> http://www.ietf.org/id-info/1id-guidelines.txt:
>

---

From: "Dan Wing" <[email-masked]>
Date: Fri, 23 Apr 2010 10:52:17 -0700

> From: Ingemar Johansson S [mailto:[email-masked]] 
> Sent: Friday, April 23, 2010 5:57 AM
> To: Dan Wing; [email-masked]; [email-masked]
> Cc: [email-masked]; Ingemar Johansson S
> Thanks for the comment, I will fix the issues and come back 
> with an update. Some additional comments inline.
> 
> Regards
> Ingemar 
> 

      qvalue         = ( "0" [ "." 0*3DIGIT ] )
                     / ( "1" [ "." 0*3("0") ] )

-d

> > =

---

From: Cullen Jennings <[email-masked]>
Date: Tue, 27 Apr 2010 12:21:59 -0600

Two small things ...

if you have a sar of 4/3, could you give some advice on how many decimals the floating point number should have and what it should be the max number of digits allowed. For example, 1.33 seems like a fine approximation but expecting people to handle 1.3333333333333333333333333333333333333333333333333333333333333333333333 seem like a bit much. I don't really care what the answer is but I think the draft needs to give some advice on this.

Cullen

>> With this I would like to ask for a second WGLC for this document.

Cullen Jennings
For corporate legal information go to:
http://www.cisco.com/web/about/doing_business/legal/cri/index.html